<template>
    
    <div class="login">
        <div class="container">
            <div class="title">
                <h1>Вхід</h1>
            </div>
            <form class="form" v-on:submit.prevent="onSubmit">
                <h3 style="color:red;" v-if="logError">Перевірьте правильність написання email та паролю</h3>
                <input type="email" v-model.trim="logEmail" name="email" placeholder="Email" />
                <input type="password" v-model="logPassword" name="password" placeholder="Пароль" />
                
                <input class="btn-login" type = "button" @click="auth" value="Увійти">    
                
                <h3>або</h3>
                
                <router-link  v-bind:to="'/registr/'" >
                    <input class="btn-reg" type="button" value ="Зареєструватися">
                </router-link>

                <router-link  v-bind:to="'/'" >
                    <input class="btn-skip" style="font-size: 1.8rem"  type="button" value ="Перейти до пошуку без авторицації">
                </router-link> 
            </form>
        </div>
        <!--/.container-->
    </div>
    <!--/.login-->
    
</template>
<script>
import Vue from 'vue'
    import axios from 'axios'
    import VueAxios from 'vue-axios'

    Vue.use(VueAxios, axios)

export default {
    data: function () {
        return {
            logEmail: '',
            logPassword: '',
            logError:false,
            user: this.$store.getters.getUser,
           };
    },
    methods: {
        auth(){
            if ((this.logEmail =='')|| (this.logPassword == ''))
            {
                this.logError = true;
            }
            else {
            Vue.axios.get("http://localhost:3030/user/" + this.logEmail)
                .then((resporese)=>{
                    if( resporese.data.length == 0) {
                        return this.logError = true;
                    }
                    else if ((resporese.data[0].email == this.logEmail)
                        &&(resporese.data[0].password == this.logPassword)){
                            this.$store.commit('setUser', resporese.data);
                            this.$router.push('/');
                    }})
                // .catch(error=>{
                //     alert("Сервер не доступний, спробуйте пізніше");
                // })   
            }
            
        }, 
    },
    mounted: function () {
       if (this.user != null){
            this.$router.push('/');
        }
       
    }
}

</script>
